`/*
CSSDisplay property:

	display: block;
		- changes the element into a block elements.
		- takes up the full width of the browser.
		Example: p, h1-h6, div, ul/ol & li
	display: inline;
		- changes the element into an inline element.
		- it takes only the space needed.
		Example: span, button, label, input

	dispaly: block;
		- it is a combinatio of the two elements.
		- act as inline element. but still have the property of a block element (height and width).

	display: none;
		- hides the element from the website ang it will not show visually.


*/

#div-1{
	background-color: green;
	display: inline;
	width: 200px;
	height: 200px;
}

#span-1{
	background-color: purple;
	display: none;
	width: 200px;
	height: 200px;
}

#span-2{
	background-color: red;
	display: block;
}

#div-2{
	background-color: hotpink;
	display: none;

}

#img{
	width: 250px;
	height: 250px;
	display: inline-block;
}

/*
	CSS Background Property (Color Values)
	#hexcode value
		- hexdecimal color os specified with:
			- #RRGGBB (red, green, blu)
			- Between 00 and FF (0-9, A-F)

	rgb(red, green, blue) or rgba (red, green, blue, alpha) value
		- 
*/

#p-1{
	background-color: #87CEFA;
}

#p-2{
	background-color: rgba(255, 105, 180, 0.50);
	width: 60%;
}

#p-3{
	background-color: yellow;
	width: 40%;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

.img-float{
	width: 250px;
	height: 250px;
	float: none;
}

/*
	CSS Units

	pixels(px)
		- is relative to the viewscreen( based on the screen resolution)
		- screen with higher resolution will contaion more pixels.

	percentage(%)
		- relative to parent element
		- the
*/


.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}

.parent {
	width: 250px;
	border: 2px solid navy;
	font-size: 30px;
}

.fifty-vw {
	width: 50vw;
}

.twenty-five-vh{
	height: 25vh;
}

.one-rem {

	font-size: 1rem;
}

.one-em{
	font-size: 1em;
}

.two-rem {

	font-size: 2rem;
}

.two-em{
	font-size: 2em;
}

.two-hundred-percent{
	font-size: 200%;
}

.background{
	min-height: 20rem;
/*	background-color: gray;*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center top;
	background-attachment: fixed;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

.parent-element {
    background-color: skyblue;
    padding: 50px 10px;
    position: relative;
    height: 800vh;
}


.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
    top: 0;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

.container{
	position: relative;
}

.black-box{
	position: relative;
	border: 2px solid black;
	z-index: 2;
	height: 100px;
	margin: 30px;
}

.gray-box{
	position: absolute;
	z-index: 2;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box{
	position: absolute;
	background-color: lightgreen;
	z-index: 2;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}